Last Comment Bug 504163 - In download progress dialog, indicate availability of context menus through WAI-ARIA attribute.
: In download progress dialog, indicate availability of context menus through W...
Status: RESOLVED FIXED
: access
Product: SeaMonkey
Classification: Client Software
Component: Download & File Handling (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: ---
Assigned To: Marco Zehe (:MarcoZ)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 12:48 PDT by Marco Zehe (:MarcoZ)
Modified: 2009-07-20 04:19 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (953 bytes, patch)
2009-07-14 13:12 PDT, Marco Zehe (:MarcoZ)
neil: review+
neil: superreview+
Details | Diff | Review

Description Marco Zehe (:MarcoZ) 2009-07-14 12:48:31 PDT
In the download progress dialog, indicate that the file name and server name labels have context menus that can be invoked. Use the aria-haspopup attribute with a value of "true" on these elements, as specified here:
http://www.w3.org/TR/wai-aria/#aria-haspopup
Comment 1 Marco Zehe (:MarcoZ) 2009-07-14 13:12:45 PDT
Created attachment 388527 [details] [diff] [review]
Patch
Comment 2 neil@parkwaycc.co.uk 2009-07-14 13:30:27 PDT
So accessibility ignores the context and popup attributes?
Comment 3 alexander :surkov 2009-07-14 18:22:36 PDT
(In reply to comment #2)
> So accessibility ignores the context and popup attributes?

Good point. Afaik we don't expose any relations between context menu and element to AT and AT users invokes keyboard shortcuts like sighted users do. But iirc we have a bug to expose context menu as well. Concerning popup menus, yes, I think we should take into account @popup attribute and expose STATE_HAS_POPUP on related element.
Comment 4 Marco Zehe (:MarcoZ) 2009-07-14 21:41:02 PDT
(In reply to comment #3)
> yes, I think we should take into account @popup attribute and expose
> STATE_HAS_POPUP on related element.

I filed bug 504252 for this to deal with it in trunk. However since we don't know whether this will make its way into 1.9.1 eventually, I suggest taking this as a workaround, and reverting it as soon as SeaMonkey regularly builds against trunk and we have bug 504252 fixed.
Comment 5 alexander :surkov 2009-07-14 21:44:13 PDT
(In reply to comment #4)

>I suggest taking
> this as a workaround, and reverting it as soon as SeaMonkey regularly builds
> against trunk and we have bug 504252 fixed.

I don't mind though it's worth to add XXX comment to refer new bug.
Comment 6 neil@parkwaycc.co.uk 2009-07-15 05:45:06 PDT
Comment on attachment 388527 [details] [diff] [review]
Patch

I don't need an XXX comment here if you note the link between the bugs here so that you remember to undo this at some point after fixing the other bug ;-)
Comment 7 neil@parkwaycc.co.uk 2009-07-15 05:46:04 PDT
That is, if you note (presumably in bug 504252) to revert this change.
Comment 8 Marco Zehe (:MarcoZ) 2009-07-15 06:00:32 PDT
Comment on attachment 388527 [details] [diff] [review]
Patch

Cancelling approval since it's past code freeze for B1. Waiting for tree to reopen.
Comment 9 Marco Zehe (:MarcoZ) 2009-07-20 04:19:11 PDT
Pushed: http://hg.mozilla.org/comm-central/rev/e800384a1890

Note You need to log in before you can comment on or make changes to this bug.